<?php

require_once "config0.php";  // for local definitions

// for parsing the PHP syntax check output

define('OK_LINE_START','No syntax errors detected in');
define('ON_LINE_PATTERN','/on line (<b>)?([0-9]*)(<\\/b>)?/');
define('ON_LINE_PATTERN_INDEX',2);
//define('ON_LINE_PATTERN','/on line ([0-9]*)/');

define('HIGHLIGHT_START_PAT', '('. preg_quote('<code><font color="#000000">','/') . '|'. preg_quote('<code><span style="color: #000000">','/') . ')' );
define('HIGHLIGHT_END_1_PAT','('. preg_quote('</code>','/') . ')');
define('HIGHLIGHT_END_2_PAT','('. preg_quote('</font>','/') . '|'. preg_quote('</span>','/') . ')');
define('HIGHLIGHT_END_PAT', HIGHLIGHT_END_2_PAT . '\s*'. HIGHLIGHT_END_1_PAT );

define('IMAGE_BASE', HOME_BASE . "icon/");
define('STYLE_SHEET', HOME_BASE ."styles/learnphp-style.css");
define('DOWNLOAD_BASE', HOME_BASE . "download/");

$alternativeVersions = array(  '4' => array( 'url' => HOME_BASE . 'v4/' ),
							   '5' => array( 'url' => HOME_BASE . 'v5/' )
							);
// output formatting 

define('HIGHLIGHT_COLOR','#CC0000');
define('HIGHLIGHT_BG_COLOR','#FFFF00');
define('OK_PREFIX',"<img src=\"" . IMAGE_BASE . "invis.gif\" width=\"9\" height=\"9\">&nbsp;");
define('ERR_PREFIX',"<img src=\"" . IMAGE_BASE . "right-red-tri.gif\" width=\"9\" height=\"9\">&nbsp;");

require_once "include/utils.php";
$version = my_php_major_version_number();

?>